uuid: b77d74be-00be-466f-a6c1-8fbb56bad57f
langcode: en
status: true
dependencies: {  }
id: gronze_media_mapa
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - files
  - gronze
  - media_mapa
  - level2
migration_group: gronze_files
label: 'Media mapa migration from Gronze D7'
source:
  plugin: d7_file_entity_item_gronze
  scheme: public
  type: mapa
  high_water_property:
    name: fid
    alias: fm
process:
  langcode:
    plugin: default_value
    default_value: es
  field_media_image_1/target_id:
    -
      plugin: migration_lookup
      migration: gronze_file_managed
      source: fid
    -
      plugin: skip_on_empty
      method: row
  field_media_image_1/alt: alt
  field_tags:
    plugin: sub_process
    source: field_tags
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_tags
        source: tid
        no_stub: true
  status: status
  created: timestamp
  changed: timestamp
  uid:
    plugin: migration_lookup
    migration: gronze_user_accounts
    source: uid
    no_stub: true
destination:
  plugin: 'entity:media'
  default_bundle: mapa
migration_dependencies:
  required:
    - gronze_file_managed
    - gronze_taxonomy_tags
